Name: alt-docs-master
Version: 2.4
Release: alt1
Group: Books/Other

Source0: %name-%version.tar.bz2

License: FDL/GPL
BuildArch: noarch
Url: http://docs.altlinux.ru

PreReq: alt-docs-genextras >= 0.2, alternatives >= 0.0.6
Requires(postun): alt-docs-genextras >= 0.2
Provides: alt-docs-distrib
Summary: ALT Linux 2.4 Master User reference

# Automatically added by buildreq on Sat May 08 2004
BuildRequires: libalternatives-devel

%description
ALT Linux 2.4 Master User reference. This is main documentation 
provided with Master. This reference contains instructions on how 
to install, configure and maintain ALT Linux, information about 
available user applications and information about ALT Linux company.

%description -l ru_RU.KOI8-R
    ALT Linux 2.4 Master. 
 ,   Master.    
   ,    
,       
    ALT Linux.

%prep
%setup -q -n %name-%version


%install
%__mkdir_p %buildroot%_altdir
%__mkdir_p %buildroot%_docdir/alt-docs/master
%__cp -r %_builddir/%name-%version/* %buildroot%_docdir/alt-docs/master

%__cat <<__EOF__ >%buildroot%_altdir/%name-index.xml 
<group name="candidate">
	<option name="link">%_docdir/alt-docs/index.html</option>
	<option name="real">%_docdir/alt-docs/master/index.html</option>
	<option name="weight" type="number">10</option>
</group>
__EOF__

%__cat <<__EOF__ >%buildroot%_altdir/%name-distrib.xml      
<group name="candidate">
        <option name="link">%_docdir/alt-docs/distrib.html</option>
        <option name="real">%_docdir/alt-docs/master/distrib.html</option>
        <option name="weight" type="number">50</option>
	</group>
__EOF__
			
%post
%register_alternatives %name-index.xml 
%register_alternatives %name-distrib.xml
%_bindir/alt-docs-genextras alt-docs

%preun
%unregister_alternatives %name-index.xml      
%unregister_alternatives %name-distrib.xml

%postun
%_bindir/alt-docs-genextras alt-docs

%files
%_altdir/%name-index.xml 
%_altdir/%name-distrib.xml
%_docdir/alt-docs/master


%changelog
* Mon Aug 30 2004 Kirill Maslinsky <kirill@altlinux.ru> 2.4-alt1
- text made up for Master 2.4, initial package

